> ## Documentation Index
> Fetch the complete documentation index at: https://headlessagents.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Health Check

> Simple endpoint to check if the API is up and running. No authentication required.

Check if the API is up and running. This endpoint does not require authentication.

### Endpoint

```bash
GET /health
```

### Response

<ResponseField name="status" type="string" required>
  Will return "healthy" if the API is functioning properly
</ResponseField>

```json
{
  "status": "healthy"
}
```


## OpenAPI

````yaml GET /health
openapi: 3.0.0
info:
  title: Headless Agents API
  description: >-
    The Headless Agents API allows you to interact with AI agents
    programmatically. 

    This API provides endpoints for health checking, calling agents, and
    retrieving agent statistics.


    ## Authentication

    All API requests (except /health) require authentication using your Headless
    Agents API key provided as an `X-API-Key` header.


    Example:

    ```bash

    curl -H "X-API-Key: your_api_key"
    https://api.headlessagents.ai/call/your_agent_id

    ```
  version: 1.0.0
  contact:
    name: Headless Agents Support
    url: https://headlessagents.ai
    email: support@headlessagents.ai
servers:
  - url: https://api.headlessagents.ai
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Agents
    description: Endpoints for interacting with agents
paths:
  /health:
    get:
      tags:
        - Health
      summary: Check API health
      description: >-
        Simple endpoint to check if the API is up and running. No authentication
        required.
      operationId: checkHealth
      responses:
        '200':
          description: API is healthy
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HealthResponse'
              example:
                status: healthy
      security: []
components:
  schemas:
    HealthResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - healthy
      required:
        - status
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key provided by Headless Agents

````